Re: [PATCH] apply: don't use core.sharedRepository to create working tree files

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Cracked it, and it's a simple error in the test script. It wasn't
readily obvious because the error gets silently swallowed, and
presumably because the command isn't necessary on most *nix systems
that have different behaviour for inheriting permissions, but the
entire problem is fixed with the following diff:

--- a/t/t4129-apply-samemode.sh
+++ b/t/t4129-apply-samemode.sh
@@ -78,7 +78,7 @@
        test_config core.sharedRepository 0666 &&
        (
                # Remove a default ACL if possible.
-               (setfacl -k newdir 2>/dev/null || true) &&
+               (setfacl -k . 2>/dev/null || true) &&
                umask 0077 &&

                # Test both files (f1) and leading dirs (d)

It looks like the erroneous line was copied from t0001-init.sh, but
that's a test where "newdir" is actually an existent directory, where
we never use a directory of that name in this test script. A more
likely candidate in the circumstances would have been
t1301-shared-repo.sh, which does call `setfacl -k .` as part of its
setup.

I'm assuming this is a simple and obvious enough fix that it can just
get squashed into the original commit, but I don't know if that breaks
things given the original commit is now included in rc tags. Let me
know if I need to format and submit this as a full patch?

Adam



[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]

  Powered by Linux